/**********************************************************************
 *
 * ptmxqueryaction.h -- 
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * Copyright (C) 2002  The New Zealand Digital Library Project
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *********************************************************************/


#ifndef PTMXQUERYACTION_H
#define PTMXQUERYACTION_H

#include "queryaction.h"

class ptmxqueryaction : public queryaction {

protected:

  virtual bool search_single_collection (cgiargsclass &args, 
					 const text_t &collection,
					 recptprotolistclass *protos, 
					 browsermapclass *browsers, 
					 displayclass &disp, 
					 outconvertclass &outconvert, 
					 ostream &textout, ostream &logout);

public:
  ptmxqueryaction ();
  virtual ~ptmxqueryaction ();

  

};

#endif


